# -*- rpm-spec -*-
# $Id: mknbi,v 1.7 2004/02/24 15:06:37 grigory Exp $

Name: mknbi
Version: 1.4.3
Release: alt1

Summary: Utility for creating network bootable images
License: GPL
Group: Networking/Other
Url: http://etherboot.sourceforge.net
Icon: %name-etherboot.xpm
%define _perl_lib_path %_libdir/%name

Source0: http://prdownloads.sourceforge.net/etherboot/%name-%version.tar.gz
Source1: %name-%version.lsm

# Automatically added by buildreq on Wed Oct 23 2002
BuildRequires: nasm

%description
Utility that accompanies Etherboot for making tagged images from ROM
images, Linux kernels, FreeDOS and DOS bootable floppy images.

%prep
%setup -q

%build
%__subst "s|/usr/local|%_prefix|; s|/doc/|/share/doc/|" Makefile
%make_build BUILD_ROOT=%buildroot

%install
%makeinstall BUILD_ROOT=%buildroot RPMVERSION="$RPM_PACKAGE_VERSION"
%__rm -rf %buildroot/usr/share/share

%files
%doc COPYING LOG README spec.txt
%_bindir/*
%_libdir/*
%_man1dir/*

%changelog
* Tue Feb 24 2004 Grigory Milev <week@altlinux.ru> 1.4.3-alt1
- new version released

* Tue Sep 30 2003 Grigory Milev <week@altlinux.ru> 1.2-alt8
- fix perl requires finder, thanks to Alexey Turbin <at@altlinux.ru>

* Wed Oct 23 2002 Grigory Milev <week@altlinux.ru> 1.2-alt7
- new version released 1.2-10 (2002-10-20)
- rebuild with gcc3.2
- remover perl from build requires

* Fri Mar 22 2002 Grigory Milev <week@altlinux.ru> 1.2-alt6
- new version released 1.2-7 (2002-03-23)

* Thu Nov 29 2001 Grigory Milev <week@altlinux.ru> 1.2-alt5
- new version released 1.2-6 (2001-11-17)
- minor spec cleanup

* Mon Oct  8 2001 Grigory Milev <week@altlinux.ru> 1.2-alt4
- new version 1.2-5 released
- chabge BuildArch
- minor spec cleanup.

* Wed Aug 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2-alt3
- Specfile minor cleanup.

* Fri Jul 10 2001 Grigory Milev <week@altlinux.ru> 1.2-alt2
- New version 1.2-4 release
- Parameters passed to kernel are duplicated due to extra lines in mknbi.pl,
  remove one set of lines.
- Use new (s)printf that has no buffer and thus no limit on stdout length per
  call.

* Fri Jul 10 2001 Grigory Milev <week@altlinux.ru> 1.2-alt1
- First build for Sisyphus

* Sun Jun 03 2001 Ken Yap <ken_yap@users.sourceforge.net>
- Forgot to update consistency checking code in mknbi-*dos to take into
  account full version number.
- Moving Etherboot to 0x94000 broke mknbi-fdos because setup segment was at
  0x97000. Move setup segment to 0x93000. Actually ($reloc + 0x300) * 16.
* Fri May 04 2001 Ken Yap <ken_yap@users.sourceforge.net>
- Support setup.S version 0x0202, put version in vendortag
- Derive version number of mknbi.pl and first32.c from VERSION in Makefile.
- Replace 0x9000 by $relocseg, and add support for placement of Linux segments at 0x90000 and 0x80000 upwards.
- Makefile now makes 2 more versions of first32{,pm,elf}.linux for placement at 0x92200 and 0x82200.
* Sun Apr 08 2001 Ken Yap <ken_yap@users.sourceforge.net>
- Make this a production release.
* Sun Mar 11 2001 Ken Yap <ken_yap@users.sourceforge.net>
- Development release. Unpack format fix in Perl code. Pass drive number
  to DOS. Update memory map comments in first32.c.
* Thu Feb 08 2001 Ken Yap <ken_yap@users.sourceforge.net>
- Development release. New binary stubs in C, for protected mode, for ELF,
  for menu. Little fixes in Perl code.
* Wed Nov 29 2000 Ken Yap <ken_yap@users.sourceforge.net>
- Fixed bug in first-linux.S, don't use ROM values for missing parameters
* Sat Nov 11 2000 Ken Yap <ken_yap@users.sourceforge.net>
- Fixed bug in first-linux.S, don't use tftp root dir as fallback for rootpath
- Added --nosquash option in case TruncFD doesn't work
* Mon Aug 07 2000 Ken Yap <ken_yap@users.sourceforge.net>
- Added disdosbb. Fixed last cluster bug. --harddisk now works for DOS
* Sun Jul 30 2000 Ken Yap <ken_yap@users.sourceforge.net>
- Fix in ramdisk moving in first-linux.S. --harddisk now works for FreeDOS
* Sun Jul 23 2000 Ken Yap <ken_yap@users.sourceforge.net>
- Added rmrd.S to directory
* Mon May 08 2000 Ken Yap <ken_yap@users.sourceforge.net>
- Fixed a few option bugs and improved man page explanation
* Wed Apr 26 2000 Ken Yap <ken_yap@users.sourceforge.net>
- Production release
* Sat Apr 15 2000 Ken Yap <ken_yap@users.sourceforge.net>
- Initial release

